Bug 1340798 - When JBoss fails with JBAS015810: failed to resolve interface management, the applications are undeployed
Summary: When JBoss fails with JBAS015810: failed to resolve interface management, the...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: jbossas
Version: 6.4.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Martin Šmérek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-30 10:07 UTC by Ranjith Pulluru
Modified: 2019-11-14 08:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-13 06:30:29 UTC
Type: Bug
msmerek: needinfo+


Attachments (Terms of Use)

Description Ranjith Pulluru 2016-05-30 10:07:27 UTC
Description of problem:
=======================
 - When JBoss fails with JBAS015810: failed to resolve interface management, the applications are undeployed


Version-Release number of selected component (if applicable):
==============================================================
 - JBoss EAP 6.4.x

How reproducible:

Steps to Reproduce:
===================
1. Start a fresh JBoss EAP 6.4.7 standalone server. 
2. Deploy any application(ex: test.war) on the jboss server.
3. Start the jboss server as below: (test mapping with ip-address doesn't exist)
   -----
     ./standalone.sh -b test -bmanagement test
   -----
4. Error message `JBAS015810: failed to resolve interface ...` is seen on the console. 
5. and also test.war application is undeployed.  

NOTE: All applications are undeployed (i.e., from `$JBOSS_HOME/standalone/deployment` directory and also from `$JBOSS_HOME/standalone/data/content` directory)

Actual results:
===============
- The applications are undeployed

Expected results:
=================
- The applications should not be undeployed

Additional info:
=================
1) In JBoss EAP 6.4.x if i start the jboss server as below way:
---------
./standalone.sh -b test-01 -bmanagement test-01
---------
- I can see the ERROR message and also applications are undeployed.

2) In JBoss EAP 6.4.x if I start the jboss server below way:
---------
./standalone.sh -b 10.10.10.10 -bmanagement 10.10.10.10
---------  
- I can see the ERROR message but applications are *not* undeployed.

I tested scenario 1 and 2 in JBoss EAP 6.3.x versions, I can see the error messages but applications are *not* undeployed.
I tested scenario 1 and 2 in JBoss EAP 7 GA, I can see the error messages and also applications are undeployed.


Note You need to log in before you can comment on or make changes to this bug.